'Modified VGA_Text demo to test PropMonitor
'2008 Raymond Allen

CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000


OBJ

  text : "vga_text"   'vga_text_monitor1a"
  mouse : "FiveWire_PS2"    'Output of Bergquist 5-wire touchscreen controller
  

PUB start | i

  'start term
  text.start(16)
  text.str(string(13,"   5-Wire Touchscreen Test"))

  'start mouse
  mouse.start(24, 25)                    'same as with regular mouse
  mouse.bound_limits(0, 0, 0, 63, 47, 0) 'same as with regular mouse
  mouse.calibrate(872,976,3193,3108)     'this is the calibration data (first two numbers are x and y of top-left corner, next two are x and y of bottom-right corner)
  
  repeat
    'show raw position data (for calibration)
    text.str(string($0A,7,$0B,3,"X="))
    text.dec(mouse.abs_x)
    text.str(string("    "))
    text.str(string($0A,7,$0B,5,"Y="))
    text.dec(mouse.abs_y)
    text.str(string("    "))
    

    'show bound data (for application)
    text.str(string($0A,7,$0B,7,"Bound X="))
    text.dec(mouse.bound_x)
    text.str(string("    ")) 
    text.str(string($0A,7,$0B,9,"Bound Y="))
    text.dec(mouse.bound_y)
    text.str(string("    ")) 

    'pushed screen counts as button down
    text.str(string($0A,3,$0B,11,"Button Down="))
    if (mouse.buttons)
      text.str(string("true"))
    else
      text.str(string("false"))
       
  